<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetFirstParentPosition Method (IEdmReference5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmReference5 Interface : GetFirstParentPosition Method (IEdmReference5)

Visual Basic
C#
C++/CLI

lVersionOrZero
  Non-zero value enumerates the files referencing the specified version of the file; argument is ignored if value is 0

bGetAllParentVersions
  True to return all versions, of all parents, referencing this file; false to return on the latest referencing version

Obsolete. Superseded by IEdmReference7::GetFirstParentPosition2.

# Syntax

Visual Basic |
--- | ---

    Function GetFirstParentPosition( _
       ByVal lVersionOrZero As System.Integer, _
       ByVal bGetAllParentVersions As System.Boolean _
    ) As IEdmPos5

C# |
--- | ---

    IEdmPos5 GetFirstParentPosition(
       System.int lVersionOrZero,
       System.bool bGetAllParentVersions
    )

C++/CLI |
--- | ---

    IEdmPos5^ GetFirstParentPosition(
    &   System.int lVersionOrZero,
    &   System.bool bGetAllParentVersions
    )

#### Parameters

lVersionOrZero
  Non-zero value enumerates the files referencing the specified version of the file; argument is ignored if value is 0
bGetAllParentVersions
  True to return all versions, of all parents, referencing this file; false to return on the latest referencing version

#### Return Value

Position of first file referencing this file

# Remarks

Pass the position to IEdmReference6::GetNextParent to continue to enumerate all of the parent files.

C++ programmers not using smart-pointer wrapper functions must release the position.

Return code S_OK indicates that the method successfully executed.

# See Also

####

IEdmReference5 Interface
IEdmReference5 Members

# Availability

Version 5.2 of SOLIDWORKS PDM Professional